Bug 538988 - FTBFS R-IRanges-1.2.3-2.fc12
Summary: FTBFS R-IRanges-1.2.3-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R-IRanges
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F13FTBFS
TreeView+ depends on / blocked
 
Reported: 2009-11-19 16:19 UTC by FTBFS
Modified: 2009-12-03 05:09 UTC (History)
2 users (show)

Fixed In Version: 1.4.7-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-03 04:55:30 UTC


Attachments (Terms of Use)
root.log (426.04 KB, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details
build.log (37.59 KB, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details
mock.log (963 bytes, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details
root.log (560.94 KB, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details
build.log (36.50 KB, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details
mock.log (1.02 KB, text/plain)
2009-11-19 16:20 UTC, FTBFS
no flags Details

Description FTBFS 2009-11-19 16:19:57 UTC
R-IRanges-1.2.3-2.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2009-11-19 16:20:00 UTC
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow

Comment 2 FTBFS 2009-11-19 16:20:03 UTC
Created attachment 371005 [details]
root.log

root.log for i386

Comment 3 FTBFS 2009-11-19 16:20:05 UTC
Created attachment 371006 [details]
build.log

build.log for i386

Comment 4 FTBFS 2009-11-19 16:20:07 UTC
Created attachment 371007 [details]
mock.log

mock.log for i386

Comment 5 FTBFS 2009-11-19 16:20:09 UTC
Created attachment 371008 [details]
root.log

root.log for x86_64

Comment 6 FTBFS 2009-11-19 16:20:11 UTC
Created attachment 371009 [details]
build.log

build.log for x86_64

Comment 7 FTBFS 2009-11-19 16:20:13 UTC
Created attachment 371010 [details]
mock.log

mock.log for x86_64

Comment 8 R P Herrold 2009-11-20 18:15:33 UTC
Some of the RawHide R packagings use an older and deprecated model of 
NOT combining a 'flattened' combilation of the upstream R archive of 
the R version and the R release, into a single value, in the RPM Version

The need to do so is to permit well ordered, and meaningful RPM Release bumps, 
in the event that a repackaging or security backport becomes needed

Fortunately, the 'flattening' of the R version and the R release has the useful 
RPM rpmvercmp effect of 'comparing newer' on the flatened package, and so may 
be safely done.

See this link for the a description of the issue
   https://www.redhat.com/archives/fedora-r-devel-list/2009-June/msg00003.html

May I please ask that this be 'flattened' along with fixing the additional 
issue which caused the bug.  The new RPM Release would become:

   1.2.3.2

Thank you

-- Russ herrold

Comment 9 Pierre-YvesChibon 2009-11-20 18:22:30 UTC
Hi Russ,

I remember this change (you're actually quoting my email), but the -2 here is the release number in Fedora.

R package version: 1.2.3
Fedora release: 2

see: http://cvs.fedoraproject.org/viewvc/devel/R-IRanges/R-IRanges.spec?view=markup

Comment 10 Pierre-YvesChibon 2009-11-20 18:26:28 UTC
PS: Russ thanks for filling up my mail box, but next time just send me an email or to the fedora-r-devel mailing list ;-)
(and comment in only 1 bug, I see them all if you like)

Comment 11 Fedora Update System 2009-11-29 20:38:06 UTC
R-IRanges-1.4.7-1.fc10,R-affy-1.24.2-1.fc10,R-hgu95av2probe-2.5.0-1.fc10,R-multtest-2.2.0-1.fc10,R-tkWidgets-1.24.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-IRanges-1.4.7-1.fc10,R-affy-1.24.2-1.fc10,R-hgu95av2probe-2.5.0-1.fc10,R-multtest-2.2.0-1.fc10,R-tkWidgets-1.24.0-1.fc10

Comment 12 Fedora Update System 2009-11-29 20:38:47 UTC
R-IRanges-1.4.7-1.fc11,R-affy-1.24.2-1.fc11,R-hgu95av2probe-2.5.0-1.fc11,R-multtest-2.2.0-1.fc11,R-tkWidgets-1.24.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-IRanges-1.4.7-1.fc11,R-affy-1.24.2-1.fc11,R-hgu95av2probe-2.5.0-1.fc11,R-multtest-2.2.0-1.fc11,R-tkWidgets-1.24.0-1.fc11

Comment 13 Fedora Update System 2009-12-01 04:26:16 UTC
R-IRanges-1.4.7-1.fc11, R-affy-1.24.2-1.fc11, R-hgu95av2probe-2.5.0-1.fc11, R-multtest-2.2.0-1.fc11, R-tkWidgets-1.24.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12385

Comment 14 Fedora Update System 2009-12-01 04:32:31 UTC
R-IRanges-1.4.7-1.fc10, R-affy-1.24.2-1.fc10, R-hgu95av2probe-2.5.0-1.fc10, R-multtest-2.2.0-1.fc10, R-tkWidgets-1.24.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12413

Comment 15 Fedora Update System 2009-12-01 04:40:56 UTC
R-IRanges-1.4.7-1.fc12, R-affy-1.24.2-1.fc12, R-hgu95av2probe-2.5.0-1.fc12, R-multtest-2.2.0-1.fc12, R-tkWidgets-1.24.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-IRanges R-affy R-hgu95av2probe R-multtest R-tkWidgets'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12438

Comment 16 Fedora Update System 2009-12-03 04:55:03 UTC
R-IRanges-1.4.7-1.fc10, R-affy-1.24.2-1.fc10, R-hgu95av2probe-2.5.0-1.fc10, R-multtest-2.2.0-1.fc10, R-tkWidgets-1.24.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-12-03 05:05:20 UTC
R-IRanges-1.4.7-1.fc12, R-affy-1.24.2-1.fc12, R-hgu95av2probe-2.5.0-1.fc12, R-multtest-2.2.0-1.fc12, R-tkWidgets-1.24.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-12-03 05:09:27 UTC
R-IRanges-1.4.7-1.fc11, R-affy-1.24.2-1.fc11, R-hgu95av2probe-2.5.0-1.fc11, R-multtest-2.2.0-1.fc11, R-tkWidgets-1.24.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.